//css page horaires
.ligne-section {
    padding: 100px 10px 0 10px;

    .accordeon-header {
        cursor: pointer;
        padding: 15px;
        margin-top: 15px;
        font-size: 40px;
        color: $secondarycolor;
        border: 2px solid black;
        background-color: rgb(57, 57, 61);
        user-select: none;
    }

    .accordeon-body {
        transition: 0.6s;
        height: 0;
        background-color: rgb(57, 57, 61);
        border: 2px solid black;
        border-top: none;

        display: flex;

        .ligne-head {
            position: relative;
            transition: 1s;
            width: 50%;
            color: $secondarycolor;
            border-right: 2px solid black;

            flex-direction: column;
            justify-content: flex-start;
            align-items: center;

            display: none;

            .logo-ligne {
                width: 50px;
                height: 50px;
                position: absolute;
                top: 5px;
                left: 5px;
                font-size: 18px;
                font-weight: bold;
                border-radius: 100%;

                display: flex;
                align-items: center;
                justify-content: center;
                user-select: none;
                cursor: help;
            }

            .img-mode {
                width: 40px;
                height: 40px;
                position: absolute;
                top: 5px;
                display: none;
                cursor: help;
            }

            .favourite-img {
                display: none;
                width: 40px;
                height: 40px;
                position: absolute;
                top: 5px;
                right: 60px;
                cursor: pointer;
            }

            .btn-swap {
                display: none;
                width: 40px;
                height: 40px;
                position: absolute;
                right: 10px;
                top: 10px;
                cursor: pointer;
            }

            .ligne-body {
                display: flex;
                flex-flow: wrap row;
                flex-direction: row;
                justify-content: center;
                align-items: center;
    
                div {
                    width: 20px;
                    height: 20px;
                    margin: 10px;
                    padding: 10px;

                    font-size: 20px;
                    border-radius: 100%;

                    display: flex;
                    justify-content: center;
                    align-items: center;
                    font-weight: bold;

                    user-select: none;
                    cursor: pointer;
                }
            }

            .rect-ligne {

                div {
                    width: 40px;
                    border-radius: 0;
                }
            }

            .tableau-horaire {
                display: none;
                width: 90%;
                margin-top: 65px;
                border: 1px solid black;

                tbody {
                    width: 500px;
                    tr {

                        td {
                            border: 1px solid black;
                            text-align: center;

                        }
                   }
                }
            }
        }
    }

    .active {
        height: auto;

        .ligne-head {
            display: flex;
        }
    }
}